// -----------------------------------------------------------------------------------------------------
// Copyright (c) 2006-2022, Knut Reinert & Freie Universität Berlin
// Copyright (c) 2016-2022, Knut Reinert & MPI für molekulare Genetik
// This file may be used, modified and/or redistributed under the terms of the 3-clause BSD-License
// shipped with this file and also available at: https://github.com/seqan/seqan3/blob/master/LICENSE.md
// -----------------------------------------------------------------------------------------------------

/*!\file
 * \brief Meta-header for the \link utility_char_operations Utility / Builtin Character Operations submodule \endlink.
 * \author Rene Rahn <rene.rahn AT fu-berlin.de>
 * \author Hannes Hauswedell <hannes.hauswedell AT fu-berlin.de>
 */

/*!\defgroup utility_char_operations Builtin Character Operations
 * \brief Provides various operations on character types.
 * \ingroup utility
 * \see utility
 */

#pragma once

#include <seqan3/utility/char_operations/predicate.hpp>
#include <seqan3/utility/char_operations/predicate_detail.hpp>
#include <seqan3/utility/char_operations/pretty_print.hpp>
#include <seqan3/utility/char_operations/transform.hpp>
